# Data Object - ClusterVmToolsMonitoringSettings(vim.cluster.VmToolsMonitoringSettings)

Property of
  ClusterDasVmSettings
Extends
  DynamicData
Since
  vSphere API 4.0

## Data Object Description

The ClusterVmToolsMonitoringSettings data object contains virtual machine monitoring settings that are used by the Virtual Machine Health Monitoring Service. The Service checks the VMware Tools heartbeat of a virtual machine. If heartbeats have not been received within a specified time interval, the Service declares the virtual machine as failed and resets the virtual machine.

These settings are applied to individual virtual machines during cluster reconfiguration (ClusterDasVmConfigInfo.dasSettings.vmToolsMonitoringSettings). You can also specify them as default values (ClusterDasConfigInfo.defaultVmSettings).

All fields are optional. In case of a reconfiguration, fields left unset are not changed.

Properties

Name | Type | Description
--- | --- | ---
clusterSettings* | xsd:boolean | Flag indicating whether to use the cluster settings or the per VM settings. The default value is true.
enabled* | xsd:boolean | Deprecated. As of vSphere API 4.1, use vmMonitoring Flag indicating whether or not the Virtual Machine Health Monitoring service is enabled. The Server does not use this property.
failureInterval* | xsd:int | If no heartbeat has been received for at least the specified number of seconds, the virtual machine is declared as failed. The default value is 30.
maxFailures* | xsd:int | Maximum number of failures and automated resets allowed during the time that maxFailureWindow specifies. If maxFailureWindow is -1 (no window), this represents the absolute number of failures after which automated response is stopped. If a virtual machine exceeds this threshold, in-depth problem analysis is usually needed. The default value is 3.
maxFailureWindow* | xsd:int | The number of seconds for the window during which up to maxFailures resets can occur before automated responses stop. If set to -1, no failure window is specified. The default value is -1.
minUpTime* | xsd:int | The number of seconds for the virtual machine's heartbeats to stabilize after the virtual machine has been powered on. This time should include the guest operating system boot-up time. The virtual machine monitoring will begin only after this period. The default value is 120.
vmMonitoring* | xsd:string | Indicates the type of virtual machine monitoring. Specify a string value corresponding to one of the following ClusterDasConfigInfoVmMonitoringState values: `vmMonitoringDisabled` (the default value) `vmMonitoringOnly` `vmAndAppMonitoring` The individual VMware Tools setting for virtual machine monitoring depends on the HA Virtual Machine Health Monitoring Service level that is defined for the cluster (ClusterDasConfigInfo.vmMonitoring). The following list indicates the supported VMware Tools `vmMonitoring` values according to the cluster configuration. If the cluster configuration specifies `vmMonitoringDisabled`, the Service is disabled and the HA Service ignores the VMware Tools monitoring setting. If the cluster configuration specifies `vmMonitoringOnly`, the Service supports `vmMonitoringOnly` or `vmMonitoringDisabled` only. If the cluster configuration specifies `vmAndAppMonitoring`, you can use any of the ClusterDasConfigInfoVmMonitoringState values. The clusterSettings value has no effect on the constraint imposed by the HA Virtual Machine Health Monitoring Service level that is defined for the cluster (ClusterDasConfigInfo.vmMonitoring). Application monitoring events are generated regardless of the currently configured type of virtual machine monitoring. You can use these events even if monitoring is being disabled or set to `vmMonitoringOnly`. Since vSphere API 4.1
Properties inherited from DynamicData
None

*Need not be set
Show WSDL type definition
<complexType xmlns="http://www.w3.org/2001/XMLSchema" xmlns:vim25="urn:vim25" name="ClusterVmToolsMonitoringSettings"> <complexContent> <extension base="vim25:DynamicData"> <sequence> <element name="enabled" type="xsd:boolean" minOccurs="0"/> <element name="vmMonitoring" type="xsd:string" minOccurs="0"/> <element name="clusterSettings" type="xsd:boolean" minOccurs="0"/> <element name="failureInterval" type="xsd:int" minOccurs="0"/> <element name="minUpTime" type="xsd:int" minOccurs="0"/> <element name="maxFailures" type="xsd:int" minOccurs="0"/> <element name="maxFailureWindow" type="xsd:int" minOccurs="0"/> </sequence> </extension> </complexContent> </complexType>